curl --request POST \
--url https://cloud.kaneo.app/api/auth/organization/update-member-role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "<string>",
"memberId": "<string>",
"organizationId": "<string>"
}
'{
"member": {
"id": "<string>",
"userId": "<string>",
"organizationId": "<string>",
"role": "<string>"
}
}Update the role of a member in an organization
curl --request POST \
--url https://cloud.kaneo.app/api/auth/organization/update-member-role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "<string>",
"memberId": "<string>",
"organizationId": "<string>"
}
'{
"member": {
"id": "<string>",
"userId": "<string>",
"organizationId": "<string>",
"role": "<string>"
}
}Bearer token authentication
The new role to be applied. This can be a string or array of strings representing the roles. Eg: ["admin", "sale"]
The member id to apply the role update to. Eg: "member-id"
An optional organization ID which the member is a part of to apply the role update. If not provided, you must provide session headers to get the active organization. Eg: "organization-id"
Success
Show child attributes
Was this page helpful?